aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: [résolu] aMule segfault avec toutes les versions  (Read 5417 times)

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
[résolu] aMule segfault avec toutes les versions
« on: December 02, 2009, 03:16:00 PM »

Salut la communauté.

Voilà mon soucis, j'ai changé de PC ces jours -ci , j'y ai installé tout ce dont j'ai besoin [ normal  ;) ] , et j'ai aucun soucis majeurs , sauf avec aMule...  ???

Celle-ci compile mais elle segfault , et ce avec toutes les versions de portage , et même les dernières versions SVN ... Je suis désespéré ...Voilà le seulm message qu'il me donne:
Code: [Select]
Error Signal Information:
amule a été interrompu par une erreur de segmentation.

Output Data:
There was no output

Error Logs:
There was no error message

Pouvez vous me dire ce que vous avez besoin pour résoudre ce soucis ? La compilé avec --debug ou faire un strace ?

Pour info j'ai x11-libs/wxGTK-2.6.4.0-r6 et x11-libs/wxGTK-2.8.10.1-r3 d'installés sur le système ! J'ai bien sur aussi mis un ~/.aMule vierge, des fois que...Mais c'est pas ça !

Voilà j'attends avec impatience que vous me dites ce que j'dois tentez pour résoudre ce fichu soucis...

Merci @ très vite.
« Last Edit: December 03, 2009, 02:06:23 PM by wuischke »
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
Re: aMule segfault avec toutes les versions
« Reply #1 on: December 03, 2009, 12:48:25 AM »

Re ..

Voilà 1 strace sur aMule fait à l'instant.

J'ai tenté de downgrader DirectFB-1.4.2 à 1.2.9 ...Sans succès  >:(   :-\

Si vous avez des idées, je vous écoute... Moi je patauge , d'autant qu'il n'y a qu'avec ce paquet que je rencontre des soucis !!!

Et sans ma chère Mule je me sens tout nu , sale , détestable... Please HELP ME ..... :o
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4379
Re: aMule segfault avec toutes les versions
« Reply #2 on: December 03, 2009, 08:56:28 AM »

Pouvez-vous créer un "backtrace"? (http://wiki.amule.org/index.php/Backtraces)

Il y'a autre programmes utilisant wxWidgets qui fonctionnent? (Par example vlc+wxgui ou poedit.)
Logged

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
Re: aMule segfault avec toutes les versions
« Reply #3 on: December 03, 2009, 01:07:52 PM »

Salut.

Ok je fais ça de suite, le temps de recompiler aMule , et d'installer gdb. Merci ^^  ;)

Et non ,il il n'y a que xchat et seamonkey ou firefox qui tournent lorsque je lance aMule.

Ah et j'utilise gtk+-2.18.3 et wxgtk- 2.6.4.0-r6 et wxgtk-2.8.10.1-r3.

Éh voilà le Backtrace , je vois un coupable, je donwgrade , je recomopile aMule et je vous tiens au courant...

 Merci bien ;)
« Last Edit: December 03, 2009, 01:16:44 PM by Klinux »
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
Re: aMule segfault avec toutes les versions
« Reply #4 on: December 03, 2009, 01:26:04 PM »

Super , merci pour ton aide wuischke , c'était bien dev-libs/crypto++...Mais pour qu'à aMule fonctionne , j'ai du downgrader à la version 5.5.2-r1...

Merci bien pour m'avoir mis sur la piste ^^  ;)

[ÉDIT] Ah on ne peut pas modifier le titre du 1er message pour y mettre "résolu" ? [/ÉDIT]
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4379
Re: [résolu] aMule segfault avec toutes les versions
« Reply #5 on: December 03, 2009, 02:08:18 PM »

Parfait, je suis content de sentir que tout est résolu alors.

P.S. J'ai changé le titre du premier message.
Logged

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
Re: [résolu] aMule segfault avec toutes les versions
« Reply #6 on: December 04, 2009, 03:13:24 AM »

Merci pour l'édit du titre wuischke ^^ ;)

Moi aussi je suis content d'avoir trouvé d'où venait le soucis...Au départ je pensais à WXgtk ou une autre dépendance...
Et le pire maintenant que je m'en souviens, c'est que sur l'ancien PC , quand crytpo++ a été mis à jour aMule avait aussi eu ce segfault...Pour ça que j'avais mis la version de crypto++ qui fonctionne dans /usr/local/portage afin de la garder indéfiniment...
Mais je m'en suis souvenu que lorsque que j'ai vu qui était le coupable :(

@ bientôt ...Et encore merci ^^ !
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

Klinux

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 34
Re: [résolu] aMule segfault avec toutes les versions
« Reply #7 on: March 30, 2010, 11:44:23 PM »

Salut les ami(e)s !  :)

Je voulais savoir si le bug avec crypto++ et aMule était résolu sur les dernières versions d'aMule-svn ?

Ou bien si le bug est toujours d'actualité ?

D'ailleurs si le bug est toujours présent, est-ce aux devs du paquet crypto++ qu'il faut s'adresser ou ça concerne directement aMule ?

Merci bien ;)

@ beintôt !   8)
Logged
Pentium Quad-core Q8400 2.6 Ghz -- Intel G45 -- 4 Gb Ram

Gentoo  propulsée par le kernel gentoo-2.6.30-r8 avec 1 superbe WM: Enlightenment 17-svn ;)

Je suis un Gentoo-E17 addict et fier de l'être ;p

harlock59

  • Jr. Member
  • **
  • Karma: -1
  • Offline Offline
  • Posts: 50
    • Youmé-TECH - PC Mac Linux Troubleshootings & Website / Software Developper
Re: [résolu] aMule segfault avec toutes les versions
« Reply #8 on: April 12, 2011, 11:56:12 PM »

up moi j'essaie de compiler amule 2.2.6 sous mac osx et ca vient peut etre de crypto ++
mais je ne sais pas comment le downgrader, je l'ai installé avec mac ports

je peux l'installer a partir des sources depuis le site et le desinstaller dans macports peut etre tout simplement
Logged
iMac g4 leopard powerpc
www.youmetech.fr